# pbrun – PowerBroker run

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- This become plugins allows your remote/login user to execute commands as another user via the pbrun utility.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_exe - | Default: "pbrun" | ini entries: [privilege_escalation] become_exe = pbrun [pbrun_become_plugin] executable = pbrun env:ANSIBLE_BECOME_EXE env:ANSIBLE_PBRUN_EXE var: ansible_become_exe var: ansible_pbrun_exe | Sudo executable
become_flags - |  | ini entries: [privilege_escalation] become_flags = VALUE [pbrun_become_plugin] flags = VALUE env:ANSIBLE_BECOME_FLAGS env:ANSIBLE_PBRUN_FLAGS var: ansible_become_flags var: ansible_pbrun_flags | Options to pass to pbrun
become_pass - |  | ini entries: [pbrun_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_PBRUN_PASS var: ansible_become_password var: ansible_become_pass var: ansible_pbrun_pass | Password for pbrun
become_user - | Default: "" | ini entries: [privilege_escalation] become_user = [pbrun_become_plugin] user = env:ANSIBLE_BECOME_USER env:ANSIBLE_PBRUN_USER var: ansible_become_user var: ansible_pbrun_user | User you 'become' to execute the task

wrap_exe
boolean

Choices:
- no ←
- yes

ini entries:

[pbrun_become_plugin]
wrap_execution = no

env:ANSIBLE_PBRUN_WRAP_EXECUTION
var: ansible_pbrun_wrap_execution

Toggle to wrap the command pbrun calls in 'shell -c' or not

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]
- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.